import { SourceObject, PlayerAspectRatio, PlayerImplementation } from '../../interfaces';
export interface PipPlugin {
    dispose(): void;
    enable(): void;
    disable(): void;
    loadSrc(src: SourceObject): void;
    setAspectRatio(ratio: PlayerAspectRatio): void;
    updateUI(ui: PipPluginUI): void;
    ready(): Promise<PlayerImplementation>;
    takeOverSound(): void;
    restoreSound(): void;
}
export interface PipPluginUI {
    position?: 'top:right' | 'top:left' | 'bottom:right' | 'bottom:left';
    margins?: {
        vertical?: number;
        horizontal?: number;
    };
    width?: number;
}
export interface PipPluginOptions {
    sources?: SourceObject[];
    aspectRatio?: PlayerAspectRatio;
    ui?: PipPluginUI;
    takeOverSound?: boolean;
}
